%define _use_internal_dependency_generator 0
%define momorel 1

Summary: Valgrind Memory Debugger
Name: valgrind
Version: 2.2.0
Release: %{momorel}m
License: GPL
Group: Development/Debuggers
URL: http://valgrind.kde.org/
Source0: http://developer.kde.org/~sewardj/valgrind-%{version}.tar.bz2
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-root/
ExclusiveArch: %{ix86}

%description 
Valgrind is a GPL'd system for debugging and profiling x86-Linux programs.
With the tools that come with Valgrind, you can automatically detect
many memory management and threading bugs, avoiding hours of frustrating
bug-hunting, making your programs more stable. You can also perform
detailed profiling to help speed up your programs.

The Valgrind distribution includes four tools: two memory error
detectors, a thread error detector, and a cache profiler.  Several other
tools have been built with Valgrind.

%prep

# hack for GLIBC_PRIVATE...
%define reqprog         %{_builddir}/find-requires-%{name}
cat <<EOF >%{reqprog}
%{__find_requires} | grep -v 'libc.so.6(GLIBC_PRIVATE)'
EOF
chmod +x %{reqprog}
%define __find_requires         %{reqprog}

%setup -q

%build
%configure
%make

%install
rm -rf %{buildroot}
%makeinstall
#make install prefix=$RPM_BUILD_ROOT/usr
rm -rf %{buildroot}%{_docdir}/%{name}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ACKNOWLEDGEMENTS AUTHORS COPYING FAQ.txt NEWS
%doc README* TODO
%doc docs/*.html */docs/*.html
%{_bindir}/*
%{_includedir}/valgrind
%{_libdir}/valgrind
%{_libdir}/pkgconfig/valgrind.pc

%changelog
* Sat Nov  6 2004 TAKAHASHI Tamotsu <tamo>
- (2.2.0-1m)
- new stable version

* Sat Mar 27 2004 Toru Hoshina <t@momonga-linux.org>
- (2.1.0-2m)
- revised spec for rpm 4.2.

* Fri Dec 26 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2.1.0-1m)
- initial import to Momonga
